Support » Fixing WordPress » I have a problem. People who has the same level wi


  • if ($user_level < $authordata->user_level)
    die ('You don’t have the right to edit '.$authordata[1].'’s posts.');

    It seem as that, people can edit posts each other if they have same level.
    Really?

Viewing 3 replies - 1 through 3 (of 3 total)
  • I think it should be:

    if (!($user_level > $authordata->user_level or $user_login==$authordata->user_login))

    I am new at a live WP installation at least. Have I got this right? Is it possible for any reader to edit the posts unless we have hacked the code ourselves?

    Anonymous

    Shouldn’t the $user_login be $user_ID? Otherwise I can change the name in my profile and “masquerade” as some else…

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘I have a problem. People who has the same level wi’ is closed to new replies.